Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 4015)
+++ palm/trunk/SOURCE/Makefile	(revision 4017)
@@ -512,5 +512,5 @@
 # by an include command for preprocessor and compiler options when the simple
 # install process is used instead of mbuild/mrun,
-# +set_particle_attributes, set_slicer_attributes_dvrp
+# +set_particle_attributes
 # +subsidence
 #
@@ -587,9 +587,7 @@
 	data_output_2d.f90 \
 	data_output_3d.f90 \
-	data_output_dvrp.f90 \
 	data_output_flight.f90\
 	data_output_mask.f90 \
 	data_output_profiles.f90 \
-	data_output_ptseries.f90 \
 	data_output_spectra.f90 \
 	data_output_tseries.f90 \
@@ -614,5 +612,4 @@
 	init_advec.f90 \
 	init_coupling.f90 \
-	init_dvrp.f90 \
 	init_grid.f90 \
 	init_masks.f90 \
@@ -623,4 +620,5 @@
 	init_vertical_profiles.f90 \
 	interaction_droplets_ptq.f90 \
+	lagrangian_particle_model_mod.f90 \
 	land_surface_model_mod.f90 \
 	large_scale_forcing_nudging_mod.f90 \
@@ -629,22 +627,4 @@
 	local_tremain.f90 \
 	local_tremain_ini.f90 \
-	lpm_advec.f90 \
-	lpm_boundary_conds.f90 \
-	lpm_calc_liquid_water_content.f90 \
-	lpm_collision_kernels.f90 \
-	lpm_data_output_particles.f90 \
-	lpm_droplet_collision.f90 \
-	lpm_droplet_condensation.f90 \
-	lpm_exchange_horiz.f90 \
-	lpm.f90 \
-	lpm_init.f90 \
-	lpm_init_sgs_tke.f90 \
-	lpm_merging.f90 \
-	lpm_pack_arrays.f90 \
-	lpm_read_restart_file.f90 \
-	lpm_set_attributes.f90 \
-	lpm_splitting.f90 \
-	lpm_write_exchange_statistics.f90 \
-	lpm_write_restart_file.f90 \
 	message.f90 \
 	bulk_cloud_model_mod.f90 \
@@ -660,5 +640,4 @@
 	ocean_mod.f90 \
 	outflow_turbulence.f90 \
-	package_parin.f90 \
 	palm.f90 \
 	parin.f90 \
@@ -686,5 +665,4 @@
 	run_control.f90 \
 	salsa_mod.f90 \
-	set_slicer_attributes_dvrp.f90 \
 	singleton_mod.f90 \
 	sor.f90 \
@@ -708,7 +686,5 @@
 	turbulence_closure_mod.f90 \
 	urban_surface_mod.f90 \
-	user_data_output_dvrp.f90 \
 	user_data_output_mask.f90 \
-	user_dvrp_coltab.f90 \
 	user_flight.f90\
 	user_init_3d_model.f90 \
@@ -721,5 +697,4 @@
 	user_lpm_advec.f90 \
 	user_lpm_init.f90 \
-	user_lpm_set_attributes.f90 \
 	user_module.f90 \
 	user_spectra.f90 \
@@ -756,5 +731,5 @@
 
 clean:
-	rm -f $(PROG) $(OBJS) *.mod *.i *.lst
+	rm -f $(PROG) $(OBJS) *.mod *.smod *.i *.lst 
 
 .f90.o:
@@ -844,5 +819,4 @@
 check_open.o: \
 	mod_kinds.o \
-	mod_particle_attributes.o \
 	modules.o \
 	netcdf_interface_mod.o \
@@ -921,10 +895,4 @@
 	mod_kinds.o \
 	modules.o
-data_output_dvrp.o: \
-	basic_constants_and_equations_mod.o \
-	bulk_cloud_model_mod.o \
-	cpulog_mod.o \
-	mod_kinds.o \
-	modules.o
 data_output_mask.o: \
 	basic_constants_and_equations_mod.o \
@@ -942,10 +910,4 @@
 	cpulog_mod.o \
 	mod_kinds.o \
-	modules.o \
-	netcdf_interface_mod.o
-data_output_ptseries.o: \
-	cpulog_mod.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
 	modules.o \
 	netcdf_interface_mod.o
@@ -1098,8 +1060,6 @@
 	disturb_heatflux.o \
 	large_scale_forcing_nudging_mod.o \
-	lpm_init.o \
 	model_1d_mod.o \
 	mod_kinds.o \
-	mod_particle_attributes.o \
 	modules.o \
 	multi_agent_system_mod.o \
@@ -1124,7 +1084,4 @@
 	modules.o \
 	vertical_nesting_mod.o
-init_dvrp.o: \
-	mod_kinds.o \
-	modules.o
 init_grid.o: \
 	advec_ws.o \
@@ -1167,4 +1124,16 @@
 	mod_kinds.o \
 	modules.o
+lagrangian_particle_model_mod.o: \
+	basic_constants_and_equations_mod.o \
+	cpulog_mod.o \
+	mod_kinds.o \
+	mod_particle_attributes.o \
+	modules.o \
+	pmc_interface_mod.o \
+	pmc_particle_interface.o \
+	netcdf_interface_mod.o \
+	random_function_mod.o \
+	random_generator_parallel_mod.o \
+	surface_mod.o
 land_surface_model_mod.o: \
 	basic_constants_and_equations_mod.o \
@@ -1194,122 +1163,4 @@
 	cpulog_mod.o \
 	mod_kinds.o \
-	modules.o
-lpm.o: \
-	cpulog_mod.o \
-	lpm_exchange_horiz.o \
-	lpm_init.o \
-	lpm_merging.o \
-	lpm_pack_arrays.o \
-	lpm_splitting.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o \
-	pmc_interface_mod.o \
-	pmc_particle_interface.o
-lpm_advec.o: \
-	basic_constants_and_equations_mod.o \
-	cpulog_mod.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o \
-	surface_mod.o
-lpm_boundary_conds.o: \
-	cpulog_mod.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o \
-	surface_mod.o
-lpm_calc_liquid_water_content.o: \
-	basic_constants_and_equations_mod.o \
-	cpulog_mod.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o
-lpm_collision_kernels.o: \
-	basic_constants_and_equations_mod.o \
-	cpulog_mod.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o
-lpm_data_output_particles.o: \
-	cpulog_mod.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o \
-	netcdf_interface_mod.o
-lpm_droplet_collision.o: \
-	basic_constants_and_equations_mod.o \
-	cpulog_mod.o \
-	lpm_collision_kernels.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o
-lpm_droplet_condensation.o: \
-	basic_constants_and_equations_mod.o \
-	cpulog_mod.o \
-	lpm_collision_kernels.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o
-lpm_exchange_horiz.o: \
-	cpulog_mod.o \
-	lpm_pack_arrays.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o \
-	netcdf_interface_mod.o
-lpm_init.o: \
-	basic_constants_and_equations_mod.o \
-	lpm_collision_kernels.o \
-	lpm_exchange_horiz.o \
-	lpm_pack_arrays.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o \
-	netcdf_interface_mod.o \
-	pmc_particle_interface.o \
-	random_function_mod.o \
-	random_generator_parallel_mod.o \
-	surface_mod.o
-lpm_init_sgs_tke.o: \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o \
-	surface_mod.o
-lpm_merging.o: \
-	cpulog_mod.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o
-lpm_pack_arrays.o: \
-	cpulog_mod.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o
-lpm_read_restart_file.o: \
-	lpm_pack_arrays.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o
-lpm_set_attributes.o: \
-	cpulog_mod.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o
-lpm_splitting.o: \
-	basic_constants_and_equations_mod.o \
-	cpulog_mod.o \
-	lpm_exchange_horiz.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o
-lpm_write_exchange_statistics.o: \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o \
-	pmc_particle_interface.o
-lpm_write_restart_file.o: \
-	mod_kinds.o \
-	mod_particle_attributes.o \
 	modules.o
 message.o: \
@@ -1330,6 +1181,8 @@
 	gust_mod.o \
 	indoor_model_mod.o \
+	lagrangian_particle_model_mod.o \
 	land_surface_model_mod.o \
 	large_scale_forcing_nudging_mod.o \
+	mod_particle_attributes.o \
 	multi_agent_system_mod.o \
 	nesting_offl_mod.o \
@@ -1406,8 +1259,4 @@
 	mod_kinds.o \
 	modules.o
-package_parin.o: \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o
 palm.o: \
 	bulk_cloud_model_mod.o \
@@ -1450,6 +1299,4 @@
 	surface_mod.o
 pmc_particle_interface.o: \
-	lpm_exchange_horiz.o \
-	lpm_pack_arrays.o \
 	mod_particle_attributes.o \
 	modules.o \
@@ -1608,7 +1455,4 @@
 	surface_mod.o \
 	netcdf_data_input_mod.o
-set_slicer_attributes_dvrp.o: \
-	mod_kinds.o \
-	modules.o
 singleton_mod.o: \
 	mod_kinds.o
@@ -1700,5 +1544,4 @@
 	land_surface_model_mod.o \
 	large_scale_forcing_nudging_mod.o \
-	lpm.o \
 	mod_kinds.o \
 	modules.o \
@@ -1783,12 +1626,4 @@
 	surface_mod.o \
 	user_module.o
-user_data_output_dvrp.o: \
-	mod_kinds.o \
-	modules.o \
-	user_module.o
-user_dvrp_coltab.o: \
-	mod_kinds.o \
-	modules.o \
-	user_module.o
 user_flight.o: \
 	mod_kinds.o \
@@ -1835,8 +1670,4 @@
 	user_module.o
 user_lpm_init.o: \
-	mod_kinds.o \
-	modules.o \
-	user_module.o
-user_lpm_set_attributes.o: \
 	mod_kinds.o \
 	modules.o \
@@ -1885,5 +1716,4 @@
 	diagnostic_output_quantities_mod.o \
 	mod_kinds.o \
-	mod_particle_attributes.o \
 	model_1d_mod.o \
 	module_interface.o \
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 4015)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 4017)
@@ -790,6 +790,4 @@
     USE control_parameters
 
-    USE dvrp_variables
-
     USE grid_variables
 
@@ -817,6 +815,7 @@
                dots_max, dots_num, dots_label
 
-    USE particle_attributes
-
+    USE particle_attributes,                                                   &
+        ONLY:  particle_advection, use_sgs_for_particles
+        
     USE pegrid
 
@@ -1412,25 +1411,4 @@
        CALL message( 'check_parameters', 'PA0442', 1, 2, 0, 6, 0 )
     ENDIF
-
-!
-!-- Collision kernels:
-    SELECT CASE ( TRIM( collision_kernel ) )
-
-       CASE ( 'hall', 'hall_fast' )
-          hall_kernel = .TRUE.
-
-       CASE ( 'wang', 'wang_fast' )
-          wang_kernel = .TRUE.
-
-       CASE ( 'none' )
-
-
-       CASE DEFAULT
-          message_string = 'unknown collision kernel: collision_kernel = "' // &
-                           TRIM( collision_kernel ) // '"'
-          CALL message( 'check_parameters', 'PA0350', 1, 2, 0, 6, 0 )
-
-    END SELECT
-    IF ( collision_kernel(6:9) == 'fast' )  use_kernel_tables = .TRUE.
 
 !
@@ -3787,34 +3765,5 @@
        CALL message( 'check_parameters', 'PA0157', 1, 2, 0, 6, 0 )
     ENDIF
-
-!
-!-- Check particle attributes
-    IF ( particle_color /= 'none' )  THEN
-       IF ( particle_color /= 'absuv'  .AND.  particle_color /= 'pt*'  .AND.   &
-            particle_color /= 'z' )  THEN
-          message_string = 'illegal value for parameter particle_color: ' //   &
-                           TRIM( particle_color)
-          CALL message( 'check_parameters', 'PA0313', 1, 2, 0, 6, 0 )
-       ELSE
-          IF ( color_interval(2) <= color_interval(1) )  THEN
-             message_string = 'color_interval(2) <= color_interval(1)'
-             CALL message( 'check_parameters', 'PA0315', 1, 2, 0, 6, 0 )
-          ENDIF
-       ENDIF
-    ENDIF
-
-    IF ( particle_dvrpsize /= 'none' )  THEN
-       IF ( particle_dvrpsize /= 'absw' )  THEN
-          message_string = 'illegal value for parameter particle_dvrpsize:' // &
-                           ' ' // TRIM( particle_dvrpsize)
-          CALL message( 'check_parameters', 'PA0314', 1, 2, 0, 6, 0 )
-       ELSE
-          IF ( dvrpsize_interval(2) <= dvrpsize_interval(1) )  THEN
-             message_string = 'dvrpsize_interval(2) <= dvrpsize_interval(1)'
-             CALL message( 'check_parameters', 'PA0316', 1, 2, 0, 6, 0 )
-          ENDIF
-       ENDIF
-    ENDIF
-
+    
 !
 !-- Prevent empty time records in volume, cross-section and masked data in case
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 4015)
+++ palm/trunk/SOURCE/header.f90	(revision 4017)
@@ -1,3 +1,3 @@
-!> @file header.f90
+! !> @file header.f90
 !------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
@@ -437,7 +437,4 @@
         ONLY:  day_of_year_init, time_utc_init
 
-    USE dvrp_variables,                                                        &
-        ONLY:  use_seperate_pe_for_dvrp_output
-
     USE grid_variables,                                                        &
         ONLY:  dx, dy
@@ -462,17 +459,4 @@
                sa_vertical_gradient, sa_vertical_gradient_level,               &
                sa_vertical_gradient_level_ind
-
-    USE particle_attributes,                                                   &
-        ONLY:  bc_par_b, bc_par_lr, bc_par_ns, bc_par_t, collision_kernel,     &
-               curvature_solution_effects,                                     &
-               density_ratio, dissipation_classes, dt_min_part, dt_prel,       &
-               dt_write_particle_data, end_time_prel,                          &
-               number_of_particle_groups, particle_advection,                  &
-               particle_advection_start,                                       &
-               particles_per_point, pdx, pdy, pdz,  psb, psl, psn, psr, pss,   &
-               pst, radius, radius_classes, random_start_position,             &
-               seed_follows_topography,                                        &
-               total_number_of_particles, use_sgs_for_particles,               &
-               vertical_particle_advection, write_particle_statistics
 
     USE pegrid
@@ -509,5 +493,5 @@
     
     CHARACTER (LEN=40) ::  output_format       !< netcdf format
-    
+        
     CHARACTER (LEN=70) ::  char1               !< dummy varialbe used for various strings
     CHARACTER (LEN=70) ::  char2               !< string containing informating about the advected distance in case of Galilei transformation
@@ -651,5 +635,4 @@
        WRITE ( io, 107 )  'y'
     ENDIF
-    IF ( use_seperate_pe_for_dvrp_output )  WRITE ( io, 105 )
     IF ( numprocs /= maximum_parallel_io_streams )  THEN
        WRITE ( io, 108 )  maximum_parallel_io_streams
@@ -1836,47 +1819,4 @@
     ENDIF
 
-#if defined( __dvrp_graphics )
-!
-!-- Dvrp-output
-    IF ( dt_dvrp /= 9999999.9_wp )  THEN
-       WRITE ( io, 360 )  dt_dvrp, TRIM( dvrp_output ), TRIM( dvrp_host ), &
-                          TRIM( dvrp_username ), TRIM( dvrp_directory )
-       i = 1
-       l = 0
-       m = 0
-       DO WHILE ( mode_dvrp(i) /= ' ' )
-          IF ( mode_dvrp(i)(1:10) == 'isosurface' )  THEN
-             READ ( mode_dvrp(i), '(10X,I2)' )  j
-             l = l + 1
-             IF ( do3d(0,j) /= ' ' )  THEN
-                WRITE ( io, 361 )  TRIM( do3d(0,j) ), threshold(l), &
-                                   isosurface_color(:,l)
-             ENDIF
-          ELSEIF ( mode_dvrp(i)(1:6) == 'slicer' )  THEN
-             READ ( mode_dvrp(i), '(6X,I2)' )  j
-             m = m + 1
-             IF ( do2d(0,j) /= ' ' )  THEN
-                WRITE ( io, 362 )  TRIM( do2d(0,j) ), &
-                                   slicer_range_limits_dvrp(:,m)
-             ENDIF
-          ENDIF
-          i = i + 1
-       ENDDO
-
-       WRITE ( io, 365 )  groundplate_color, superelevation_x, &
-                          superelevation_y, superelevation, clip_dvrp_l, &
-                          clip_dvrp_r, clip_dvrp_s, clip_dvrp_n
-
-       IF ( TRIM( topography ) /= 'flat' )  THEN
-          WRITE ( io, 366 )  topography_color
-          IF ( cluster_size > 1 )  THEN
-             WRITE ( io, 367 )  cluster_size
-          ENDIF
-       ENDIF
-
-    ENDIF
-#endif
-
-
     WRITE ( io, 99 )
 
@@ -1912,17 +1852,4 @@
        WRITE ( io, 431 )
     ENDIF
-    IF ( humidity  .AND.  cloud_droplets )  THEN
-       WRITE ( io, 433 )
-       IF ( curvature_solution_effects )  WRITE ( io, 434 )
-       IF ( collision_kernel /= 'none' )  THEN
-          WRITE ( io, 435 )  TRIM( collision_kernel )
-          IF ( collision_kernel(6:9) == 'fast' )  THEN
-             WRITE ( io, 436 )  radius_classes, dissipation_classes
-          ENDIF
-       ELSE
-          WRITE ( io, 437 )
-       ENDIF
-    ENDIF
-
 !
 !-- LES / turbulence parameters
@@ -1967,53 +1894,4 @@
        WRITE ( io, 477 )  q_surface_initial_change       
     ENDIF
-
-    IF ( particle_advection )  THEN
-!
-!--    Particle attributes
-       WRITE ( io, 480 )  particle_advection_start, dt_prel, bc_par_lr, &
-                          bc_par_ns, bc_par_b, bc_par_t, particle_maximum_age, &
-                          end_time_prel
-       IF ( use_sgs_for_particles )  WRITE ( io, 488 )  dt_min_part
-       IF ( random_start_position )  WRITE ( io, 481 )
-       IF ( seed_follows_topography )  WRITE ( io, 496 )
-       IF ( particles_per_point > 1 )  WRITE ( io, 489 )  particles_per_point
-       WRITE ( io, 495 )  total_number_of_particles
-       IF ( dt_write_particle_data /= 9999999.9_wp )  THEN
-          WRITE ( io, 485 )  dt_write_particle_data
-          IF ( netcdf_data_format > 1 )  THEN
-             output_format = 'netcdf (64 bit offset) and binary'
-          ELSE
-             output_format = 'netcdf and binary'
-          ENDIF
-          IF ( netcdf_deflate == 0 )  THEN
-             WRITE ( io, 344 )  output_format
-          ELSE
-             WRITE ( io, 354 )  TRIM( output_format ), netcdf_deflate
-          ENDIF
-       ENDIF
-       IF ( dt_dopts /= 9999999.9_wp )  WRITE ( io, 494 )  dt_dopts
-       IF ( write_particle_statistics )  WRITE ( io, 486 )
-
-       WRITE ( io, 487 )  number_of_particle_groups
-
-       DO  i = 1, number_of_particle_groups
-          IF ( i == 1  .AND.  density_ratio(i) == 9999999.9_wp )  THEN
-             WRITE ( io, 490 )  i, 0.0_wp
-             WRITE ( io, 492 )
-          ELSE
-             WRITE ( io, 490 )  i, radius(i)
-             IF ( density_ratio(i) /= 0.0_wp )  THEN
-                WRITE ( io, 491 )  density_ratio(i)
-             ELSE
-                WRITE ( io, 492 )
-             ENDIF
-          ENDIF
-          WRITE ( io, 493 )  psl(i), psr(i), pss(i), psn(i), psb(i), pst(i), &
-                             pdx(i), pdy(i), pdz(i)
-          IF ( .NOT. vertical_particle_advection(i) )  WRITE ( io, 482 )
-       ENDDO
-
-    ENDIF
-
 
 !
@@ -2055,5 +1933,4 @@
 104 FORMAT (' Number of PEs:',10X,I6,4X,'Tasks:',I4,'   threads per task:',I4/ &
               35X,'Processor grid (x,y): (',I4,',',I4,')',1X,A)
-105 FORMAT (35X,'One additional PE is used to handle'/37X,'the dvrp output!')
 107 FORMAT (35X,'A 1d-decomposition along ',A,' is used')
 108 FORMAT (35X,'Max. # of parallel I/O streams is ',I5)
@@ -2278,23 +2155,4 @@
 353 FORMAT  (/'       Number of output time levels allowed: unlimited' /)
 354 FORMAT ('       Output format: ',A, '   compressed with level: ',I1/)
-#if defined( __dvrp_graphics )
-360 FORMAT ('    Plot-Sequence with dvrp-software:'/ &
-            '       Output every      ',F7.1,' s'/ &
-            '       Output mode:      ',A/ &
-            '       Host / User:      ',A,' / ',A/ &
-            '       Directory:        ',A// &
-            '       The sequence contains:')
-361 FORMAT (/'       Isosurface of "',A,'"    Threshold value: ', E12.3/ &
-            '          Isosurface color: (',F4.2,',',F4.2,',',F4.2,') (R,G,B)')
-362 FORMAT (/'       Slicer plane ',A/ &
-            '       Slicer limits: [',F6.2,',',F6.2,']')
-365 FORMAT (/'       Groundplate color: (',F4.2,',',F4.2,',',F4.2,') (R,G,B)'/ &
-            '       Superelevation along (x,y,z): (',F4.1,',',F4.1,',',F4.1, &
-                     ')'/ &
-            '       Clipping limits: from x = ',F9.1,' m to x = ',F9.1,' m'/ &
-            '                        from y = ',F9.1,' m to y = ',F9.1,' m')
-366 FORMAT (/'       Topography color: (',F4.2,',',F4.2,',',F4.2,') (R,G,B)')
-367 FORMAT ('       Polygon reduction for topography: cluster_size = ', I1)
-#endif
 400 FORMAT (//' Physical quantities:'/ &
               ' -------------------'/)
@@ -2350,16 +2208,4 @@
               ' ----------------------------------'/)
 431 FORMAT ('    Humidity is considered, bu no condensation')
-433 FORMAT ('    Cloud droplets treated explicitly using the Lagrangian part', &
-                 'icle model')
-434 FORMAT ('    Curvature and solution effecs are considered for growth of', &
-                 ' droplets < 1.0E-6 m')
-435 FORMAT ('    Droplet collision is handled by ',A,'-kernel')
-436 FORMAT ('       Fast kernel with fixed radius- and dissipation classes ', &
-                    'are used'/ &
-            '          number of radius classes:       ',I3,'    interval ', &
-                       '[1.0E-6,2.0E-4] m'/ &
-            '          number of dissipation classes:   ',I2,'    interval ', &
-                       '[0,1000] cm**2/s**3')
-437 FORMAT ('    Droplet collision is switched off')
 450 FORMAT (//' LES / Turbulence quantities:'/ &
               ' ---------------------------'/)
@@ -2401,37 +2247,4 @@
             '    value is negative) by ',E8.1,' kg/m**3 at the beginning of', &
                  ' the 3D-simulation'/)
-480 FORMAT ('    Particles:'/ &
-            '    ---------'// &
-            '       Particle advection is active (switched on at t = ', F7.1, &
-                    ' s)'/ &
-            '       Start of new particle generations every  ',F6.1,' s'/ &
-            '       Boundary conditions: left/right: ', A, ' north/south: ', A/&
-            '                            bottom:     ', A, ' top:         ', A/&
-            '       Maximum particle age:                 ',F9.1,' s'/ &
-            '       Advection stopped at t = ',F9.1,' s'/)
-481 FORMAT ('       Particles have random start positions'/)
-482 FORMAT ('          Particles are advected only horizontally'/)
-485 FORMAT ('       Particle data are written on file every ', F9.1, ' s')
-486 FORMAT ('       Particle statistics are written on file'/)
-487 FORMAT ('       Number of particle groups: ',I2/)
-488 FORMAT ('       SGS velocity components are used for particle advection'/ &
-            '          minimum timestep for advection:', F8.5/)
-489 FORMAT ('       Number of particles simultaneously released at each ', &
-                    'point: ', I5/)
-490 FORMAT ('       Particle group ',I2,':'/ &
-            '          Particle radius: ',E10.3, 'm')
-491 FORMAT ('          Particle inertia is activated'/ &
-            '             density_ratio (rho_fluid/rho_particle) =',F6.3/)
-492 FORMAT ('          Particles are advected only passively (no inertia)'/)
-493 FORMAT ('          Boundaries of particle source: x:',F8.1,' - ',F8.1,' m'/&
-            '                                         y:',F8.1,' - ',F8.1,' m'/&
-            '                                         z:',F8.1,' - ',F8.1,' m'/&
-            '          Particle distances:  dx = ',F8.1,' m  dy = ',F8.1, &
-                       ' m  dz = ',F8.1,' m'/)
-494 FORMAT ('       Output of particle time series in NetCDF format every ', &
-                    F8.2,' s'/)
-495 FORMAT ('       Number of particles in total domain: ',I10/)
-496 FORMAT ('       Initial vertical particle positions are interpreted ', &
-                    'as relative to the given topography')
 500 FORMAT (//' 1D-Model parameters:'/                           &
               ' -------------------'//                           &
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 4015)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 4017)
@@ -625,7 +625,4 @@
 
     USE kinds
-
-    USE lpm_init_mod,                                                          &
-        ONLY:  lpm_init
   
     USE lsf_nudging_mod,                                                       &
@@ -652,7 +649,4 @@
     USE nesting_offl_mod,                                                      &
         ONLY:  nesting_offl_init
-
-    USE particle_attributes,                                                   &
-        ONLY:  particle_advection
 
     USE pegrid
@@ -2271,12 +2265,4 @@
     ENDIF
 
-!
-!-- If required, initialize dvrp-software
-    IF ( dt_dvrp /= 9999999.9_wp )  CALL init_dvrp
-
-!
-!-- Initialize quantities for handling cloud physics.
-!-- This routine must be called before lpm_init, becaus otherwise,
-!-- array d_exner, needed in data_output_dvrp (called by lpm_init) is not defined.
     IF ( .NOT. ocean_mode )  THEN
 
@@ -2307,7 +2293,4 @@
     ENDIF
 
-!
-!-- If required, initialize particles
-    IF ( particle_advection )  CALL lpm_init
 !
 !-- If required, initialize particles
